﻿@model IEnumerable<SonicHRM.Models.ApplicationModels.Employee>

@{
    ViewData["Title"] = "All Employees";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

@section Styles
{
    <link href="lib/datatables/dataTables.bootstrap.css" rel="stylesheet" type="text/css"/>
}

<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box">
                <div class="box-header">
                    <h3 class="box-title">Data Table With Full Features</h3>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <table id="example1" class="table table-bordered table-striped">
                        <thead>
                            <tr>
                                <th>@Html.DisplayNameFor(model => model.Name)</th>
                                <th>@Html.DisplayNameFor(model => model.Designation.DesignationName)</th>
                                <th>@Html.DisplayNameFor(model => model.Photo)</th>
                                <th>@Html.DisplayNameFor(model => model.JoiningDate)</th>
                                <th>@Html.DisplayNameFor(model => model.ApplicationUser.Email)</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var employee in Model)
                            {
                                <tr>
                                    <td>@Html.DisplayFor(modelItem => employee.Name)</td>
                                    <td>@Html.DisplayFor(modelItem => employee.Designation.DesignationName)</td>
                                    <td>
                                        <img src="@Html.DisplayFor(modelItem => employee.Photo.ImageDataBase64)" alt="No image" style="height: 70px;"/></td>
                                    <td>@Html.DisplayFor(modelItem => employee.JoiningDate)</td>
                                    <td>@Html.DisplayFor(modelItem => employee.ApplicationUser.Email)</td>
                                    <td>
                                        @Html.ActionLink("Edit", "Edit", new { id=employee.Id }) |
                                        @Html.ActionLink("Details", "Details", new { id = employee.Id }) |
                                        @Html.ActionLink("Delete", "Delete", new { id = employee.Id })
                                    </td>
                                </tr>
                            }
                        </tbody>
                        <tfoot>
                            <tr>
                                <th>@Html.DisplayNameFor(model => model.Name)</th>
                                <th>@Html.DisplayNameFor(model => model.Designation.DesignationName)</th>
                                <th>@Html.DisplayNameFor(model => model.Photo)</th>
                                <th>@Html.DisplayNameFor(model => model.JoiningDate)</th>
                                <th>@Html.DisplayNameFor(model => model.ApplicationUser.Email)</th>
                                <th>Action</th>
                            </tr>
                        </tfoot>
                    </table>
                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div>
    </div>
</section>

@section Scripts{ 
    <script src="lib/datatables/jquery.dataTables.js" type="text/javascript"></script>
    <script src="lib/datatables/dataTables.bootstrap.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(function () {
            $("#example1").dataTable();
            $('#example2').dataTable({
                "bPaginate": true,
                "bLengthChange": false,
                "bFilter": false,
                "bSort": true,
                "bInfo": true,
                "bAutoWidth": false
            });
        });
    </script>
}